Bug 476880 - audacity breaking "yum update" in rawhide
audacity breaking "yum update" in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 12:45 EST by Christopher Beland
Modified: 2008-12-19 11:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 11:34:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2008-12-17 12:45:11 EST
vamp-plugin-sdk-2.0-1.fc11 has been released to rawhide, but "yum upgrade" is failing on this RPM for me with the error:

Error: Missing Dependency: libvamp-hostsdk.so.2()(64bit) is needed by package audacity-1.3.5-0.8.beta.fc10.x86_64
Comment 1 Michael Schwendt 2008-12-17 14:58:17 EST
Yeah, the vamp-plugin-sdk update is ABI-incompatible and requires a rebuild of Audacity.

Actually, with yesterdays rawhide build report I've received an automatic notification about the broken dependency. The rebuild failed, because of breakage in bash/ncurses:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1004176
Comment 2 Michael Schwendt 2008-12-17 15:08:58 EST
Oh, wait. There's another error further down in the root.log:

> No Package Found for wxGTK2-devel

That has been renamed (without a prior announcement, afaik).
Another Audacity rebuild attempt:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1004306
Comment 3 Michael Schwendt 2008-12-17 15:50:00 EST
The vamp-plugin-sdk upgrade is also API incompatible. It has renamed header directories (a change that's not covered by its pkgconfig file), and Audacity build fails.

We need to examine this closely for further API changes. Perhaps it's enough to patch the header paths.

Meanwhile I've spent -1 karma on the F-10/F-9 update of this library.
Comment 4 Christopher Beland 2008-12-19 11:34:03 EST
The audacity update came through today; thanks muchly for the port!

Note You need to log in before you can comment on or make changes to this bug.